Package xg

# Class Validator.ValidatorOptions.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<Validator.ValidatorOptions.Builder>
xg.Validator.ValidatorOptions.Builder

All Implemented Interfaces:
  `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`, `Validator.ValidatorOptionsOrBuilder`

Enclosing class:
  Validator.ValidatorOptions

public static final class Validator.ValidatorOptions.Builder extends GeneratedMessageV3.Builder<Validator.ValidatorOptions.Builder> implements Validator.ValidatorOptionsOrBuilder
Protobuf type `ValidatorOptions`

## Method Summary

Modifier and Type
Method
Description
`Validator.ValidatorOptions`
`build()`
Constructs the message based on the state of the Builder.
`Validator.ValidatorOptions`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`Validator.ValidatorOptions.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`Validator.ValidatorOptions.Builder`
`clearCountEqual()`
`optional string count_equal = 9;`
`Validator.ValidatorOptions.Builder`
`clearCountMax()`
`optional string count_max = 8;`
`Validator.ValidatorOptions.Builder`
`clearCountMin()`
`optional string count_min = 7;`
`Validator.ValidatorOptions.Builder`
`clearCountNotEqual()`
`optional string count_not_equal = 10;`
`Validator.ValidatorOptions.Builder`
`clearEqual()`
`optional string equal = 3;`
`Validator.ValidatorOptions.Builder`
`clearHasKey()`
`optional string has_key = 11;`
`Validator.ValidatorOptions.Builder`
`clearMax()`
`optional string max = 2;`
`Validator.ValidatorOptions.Builder`
`clearMin()`
`optional string min = 1;`
`Validator.ValidatorOptions.Builder`
`clearNotEqual()`
`optional string not_equal = 4;`
`Validator.ValidatorOptions.Builder`
`clearRegex()`
`optional string regex = 6;`
`Validator.ValidatorOptions.Builder`
`clearUuid()`
`optional string uuid = 5;`
`String`
`getCountEqual()`
`optional string count_equal = 9;`
`ByteString`
`getCountEqualBytes()`
`optional string count_equal = 9;`
`String`
`getCountMax()`
`optional string count_max = 8;`
`ByteString`
`getCountMaxBytes()`
`optional string count_max = 8;`
`String`
`getCountMin()`
`optional string count_min = 7;`
`ByteString`
`getCountMinBytes()`
`optional string count_min = 7;`
`String`
`getCountNotEqual()`
`optional string count_not_equal = 10;`
`ByteString`
`getCountNotEqualBytes()`
`optional string count_not_equal = 10;`
`Validator.ValidatorOptions`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`String`
`getEqual()`
`optional string equal = 3;`
`ByteString`
`getEqualBytes()`
`optional string equal = 3;`
`String`
`getHasKey()`
`optional string has_key = 11;`
`ByteString`
`getHasKeyBytes()`
`optional string has_key = 11;`
`String`
`getMax()`
`optional string max = 2;`
`ByteString`
`getMaxBytes()`
`optional string max = 2;`
`String`
`getMin()`
`optional string min = 1;`
`ByteString`
`getMinBytes()`
`optional string min = 1;`
`String`
`getNotEqual()`
`optional string not_equal = 4;`
`ByteString`
`getNotEqualBytes()`
`optional string not_equal = 4;`
`String`
`getRegex()`
`optional string regex = 6;`
`ByteString`
`getRegexBytes()`
`optional string regex = 6;`
`String`
`getUuid()`
`optional string uuid = 5;`
`ByteString`
`getUuidBytes()`
`optional string uuid = 5;`
`boolean`
`hasCountEqual()`
`optional string count_equal = 9;`
`boolean`
`hasCountMax()`
`optional string count_max = 8;`
`boolean`
`hasCountMin()`
`optional string count_min = 7;`
`boolean`
`hasCountNotEqual()`
`optional string count_not_equal = 10;`
`boolean`
`hasEqual()`
`optional string equal = 3;`
`boolean`
`hasHasKey()`
`optional string has_key = 11;`
`boolean`
`hasMax()`
`optional string max = 2;`
`boolean`
`hasMin()`
`optional string min = 1;`
`boolean`
`hasNotEqual()`
`optional string not_equal = 4;`
`boolean`
`hasRegex()`
`optional string regex = 6;`
`boolean`
`hasUuid()`
`optional string uuid = 5;`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`Validator.ValidatorOptions.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`Validator.ValidatorOptions.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`Validator.ValidatorOptions.Builder`
`mergeFrom(Validator.ValidatorOptions other)`
`final Validator.ValidatorOptions.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`Validator.ValidatorOptions.Builder`
`setCountEqual(String value)`
`optional string count_equal = 9;`
`Validator.ValidatorOptions.Builder`
`setCountEqualBytes(ByteString value)`
`optional string count_equal = 9;`
`Validator.ValidatorOptions.Builder`
`setCountMax(String value)`
`optional string count_max = 8;`
`Validator.ValidatorOptions.Builder`
`setCountMaxBytes(ByteString value)`
`optional string count_max = 8;`
`Validator.ValidatorOptions.Builder`
`setCountMin(String value)`
`optional string count_min = 7;`
`Validator.ValidatorOptions.Builder`
`setCountMinBytes(ByteString value)`
`optional string count_min = 7;`
`Validator.ValidatorOptions.Builder`
`setCountNotEqual(String value)`
`optional string count_not_equal = 10;`
`Validator.ValidatorOptions.Builder`
`setCountNotEqualBytes(ByteString value)`
`optional string count_not_equal = 10;`
`Validator.ValidatorOptions.Builder`
`setEqual(String value)`
`optional string equal = 3;`
`Validator.ValidatorOptions.Builder`
`setEqualBytes(ByteString value)`
`optional string equal = 3;`
`Validator.ValidatorOptions.Builder`
`setHasKey(String value)`
`optional string has_key = 11;`
`Validator.ValidatorOptions.Builder`
`setHasKeyBytes(ByteString value)`
`optional string has_key = 11;`
`Validator.ValidatorOptions.Builder`
`setMax(String value)`
`optional string max = 2;`
`Validator.ValidatorOptions.Builder`
`setMaxBytes(ByteString value)`
`optional string max = 2;`
`Validator.ValidatorOptions.Builder`
`setMin(String value)`
`optional string min = 1;`
`Validator.ValidatorOptions.Builder`
`setMinBytes(ByteString value)`
`optional string min = 1;`
`Validator.ValidatorOptions.Builder`
`setNotEqual(String value)`
`optional string not_equal = 4;`
`Validator.ValidatorOptions.Builder`
`setNotEqualBytes(ByteString value)`
`optional string not_equal = 4;`
`Validator.ValidatorOptions.Builder`
`setRegex(String value)`
`optional string regex = 6;`
`Validator.ValidatorOptions.Builder`
`setRegexBytes(ByteString value)`
`optional string regex = 6;`
`final Validator.ValidatorOptions.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.
`Validator.ValidatorOptions.Builder`
`setUuid(String value)`
`optional string uuid = 5;`
`Validator.ValidatorOptions.Builder`
`setUuidBytes(ByteString value)`
`optional string uuid = 5;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<Validator.ValidatorOptions.Builder>`

### clear

public Validator.ValidatorOptions.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<Validator.ValidatorOptions.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<Validator.ValidatorOptions.Builder>`

### getDefaultInstanceForType

public Validator.ValidatorOptions getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public Validator.ValidatorOptions build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public Validator.ValidatorOptions buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public Validator.ValidatorOptions.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<Validator.ValidatorOptions.Builder>`

### mergeFrom

public Validator.ValidatorOptions.Builder mergeFrom(Validator.ValidatorOptions other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<Validator.ValidatorOptions.Builder>`

### mergeFrom

public Validator.ValidatorOptions.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<Validator.ValidatorOptions.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### hasMin

public boolean hasMin()
`optional string min = 1;`

Specified by:
  `hasMin` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the min field is set.

### getMin

public String getMin()
`optional string min = 1;`

Specified by:
  `getMin` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The min.

### getMinBytes

public ByteString getMinBytes()
`optional string min = 1;`

Specified by:
  `getMinBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for min.

### setMin

public Validator.ValidatorOptions.Builder setMin(String value)
`optional string min = 1;`

Parameters:
  `value` - The min to set.
Returns:
  This builder for chaining.

### clearMin

public Validator.ValidatorOptions.Builder clearMin()
`optional string min = 1;`

Returns:
  This builder for chaining.

### setMinBytes

public Validator.ValidatorOptions.Builder setMinBytes(ByteString value)
`optional string min = 1;`

Parameters:
  `value` - The bytes for min to set.
Returns:
  This builder for chaining.

### hasMax

public boolean hasMax()
`optional string max = 2;`

Specified by:
  `hasMax` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the max field is set.

### getMax

public String getMax()
`optional string max = 2;`

Specified by:
  `getMax` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The max.

### getMaxBytes

public ByteString getMaxBytes()
`optional string max = 2;`

Specified by:
  `getMaxBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for max.

### setMax

public Validator.ValidatorOptions.Builder setMax(String value)
`optional string max = 2;`

Parameters:
  `value` - The max to set.
Returns:
  This builder for chaining.

### clearMax

public Validator.ValidatorOptions.Builder clearMax()
`optional string max = 2;`

Returns:
  This builder for chaining.

### setMaxBytes

public Validator.ValidatorOptions.Builder setMaxBytes(ByteString value)
`optional string max = 2;`

Parameters:
  `value` - The bytes for max to set.
Returns:
  This builder for chaining.

### hasEqual

public boolean hasEqual()
`optional string equal = 3;`

Specified by:
  `hasEqual` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the equal field is set.

### getEqual

public String getEqual()
`optional string equal = 3;`

Specified by:
  `getEqual` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The equal.

### getEqualBytes

public ByteString getEqualBytes()
`optional string equal = 3;`

Specified by:
  `getEqualBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for equal.

### setEqual

public Validator.ValidatorOptions.Builder setEqual(String value)
`optional string equal = 3;`

Parameters:
  `value` - The equal to set.
Returns:
  This builder for chaining.

### clearEqual

public Validator.ValidatorOptions.Builder clearEqual()
`optional string equal = 3;`

Returns:
  This builder for chaining.

### setEqualBytes

public Validator.ValidatorOptions.Builder setEqualBytes(ByteString value)
`optional string equal = 3;`

Parameters:
  `value` - The bytes for equal to set.
Returns:
  This builder for chaining.

### hasNotEqual

public boolean hasNotEqual()
`optional string not_equal = 4;`

Specified by:
  `hasNotEqual` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the notEqual field is set.

### getNotEqual

public String getNotEqual()
`optional string not_equal = 4;`

Specified by:
  `getNotEqual` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The notEqual.

### getNotEqualBytes

public ByteString getNotEqualBytes()
`optional string not_equal = 4;`

Specified by:
  `getNotEqualBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for notEqual.

### setNotEqual

public Validator.ValidatorOptions.Builder setNotEqual(String value)
`optional string not_equal = 4;`

Parameters:
  `value` - The notEqual to set.
Returns:
  This builder for chaining.

### clearNotEqual

public Validator.ValidatorOptions.Builder clearNotEqual()
`optional string not_equal = 4;`

Returns:
  This builder for chaining.

### setNotEqualBytes

public Validator.ValidatorOptions.Builder setNotEqualBytes(ByteString value)
`optional string not_equal = 4;`

Parameters:
  `value` - The bytes for notEqual to set.
Returns:
  This builder for chaining.

### hasUuid

public boolean hasUuid()
`optional string uuid = 5;`

Specified by:
  `hasUuid` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the uuid field is set.

### getUuid

public String getUuid()
`optional string uuid = 5;`

Specified by:
  `getUuid` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The uuid.

### getUuidBytes

public ByteString getUuidBytes()
`optional string uuid = 5;`

Specified by:
  `getUuidBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for uuid.

### setUuid

public Validator.ValidatorOptions.Builder setUuid(String value)
`optional string uuid = 5;`

Parameters:
  `value` - The uuid to set.
Returns:
  This builder for chaining.

### clearUuid

public Validator.ValidatorOptions.Builder clearUuid()
`optional string uuid = 5;`

Returns:
  This builder for chaining.

### setUuidBytes

public Validator.ValidatorOptions.Builder setUuidBytes(ByteString value)
`optional string uuid = 5;`

Parameters:
  `value` - The bytes for uuid to set.
Returns:
  This builder for chaining.

### hasRegex

public boolean hasRegex()
`optional string regex = 6;`

Specified by:
  `hasRegex` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the regex field is set.

### getRegex

public String getRegex()
`optional string regex = 6;`

Specified by:
  `getRegex` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The regex.

### getRegexBytes

public ByteString getRegexBytes()
`optional string regex = 6;`

Specified by:
  `getRegexBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for regex.

### setRegex

public Validator.ValidatorOptions.Builder setRegex(String value)
`optional string regex = 6;`

Parameters:
  `value` - The regex to set.
Returns:
  This builder for chaining.

### clearRegex

public Validator.ValidatorOptions.Builder clearRegex()
`optional string regex = 6;`

Returns:
  This builder for chaining.

### setRegexBytes

public Validator.ValidatorOptions.Builder setRegexBytes(ByteString value)
`optional string regex = 6;`

Parameters:
  `value` - The bytes for regex to set.
Returns:
  This builder for chaining.

### hasCountMin

public boolean hasCountMin()
`optional string count_min = 7;`

Specified by:
  `hasCountMin` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the countMin field is set.

### getCountMin

public String getCountMin()
`optional string count_min = 7;`

Specified by:
  `getCountMin` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The countMin.

### getCountMinBytes

public ByteString getCountMinBytes()
`optional string count_min = 7;`

Specified by:
  `getCountMinBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for countMin.

### setCountMin

public Validator.ValidatorOptions.Builder setCountMin(String value)
`optional string count_min = 7;`

Parameters:
  `value` - The countMin to set.
Returns:
  This builder for chaining.

### clearCountMin

public Validator.ValidatorOptions.Builder clearCountMin()
`optional string count_min = 7;`

Returns:
  This builder for chaining.

### setCountMinBytes

public Validator.ValidatorOptions.Builder setCountMinBytes(ByteString value)
`optional string count_min = 7;`

Parameters:
  `value` - The bytes for countMin to set.
Returns:
  This builder for chaining.

### hasCountMax

public boolean hasCountMax()
`optional string count_max = 8;`

Specified by:
  `hasCountMax` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the countMax field is set.

### getCountMax

public String getCountMax()
`optional string count_max = 8;`

Specified by:
  `getCountMax` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The countMax.

### getCountMaxBytes

public ByteString getCountMaxBytes()
`optional string count_max = 8;`

Specified by:
  `getCountMaxBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for countMax.

### setCountMax

public Validator.ValidatorOptions.Builder setCountMax(String value)
`optional string count_max = 8;`

Parameters:
  `value` - The countMax to set.
Returns:
  This builder for chaining.

### clearCountMax

public Validator.ValidatorOptions.Builder clearCountMax()
`optional string count_max = 8;`

Returns:
  This builder for chaining.

### setCountMaxBytes

public Validator.ValidatorOptions.Builder setCountMaxBytes(ByteString value)
`optional string count_max = 8;`

Parameters:
  `value` - The bytes for countMax to set.
Returns:
  This builder for chaining.

### hasCountEqual

public boolean hasCountEqual()
`optional string count_equal = 9;`

Specified by:
  `hasCountEqual` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the countEqual field is set.

### getCountEqual

public String getCountEqual()
`optional string count_equal = 9;`

Specified by:
  `getCountEqual` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The countEqual.

### getCountEqualBytes

public ByteString getCountEqualBytes()
`optional string count_equal = 9;`

Specified by:
  `getCountEqualBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for countEqual.

### setCountEqual

public Validator.ValidatorOptions.Builder setCountEqual(String value)
`optional string count_equal = 9;`

Parameters:
  `value` - The countEqual to set.
Returns:
  This builder for chaining.

### clearCountEqual

public Validator.ValidatorOptions.Builder clearCountEqual()
`optional string count_equal = 9;`

Returns:
  This builder for chaining.

### setCountEqualBytes

public Validator.ValidatorOptions.Builder setCountEqualBytes(ByteString value)
`optional string count_equal = 9;`

Parameters:
  `value` - The bytes for countEqual to set.
Returns:
  This builder for chaining.

### hasCountNotEqual

public boolean hasCountNotEqual()
`optional string count_not_equal = 10;`

Specified by:
  `hasCountNotEqual` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the countNotEqual field is set.

### getCountNotEqual

public String getCountNotEqual()
`optional string count_not_equal = 10;`

Specified by:
  `getCountNotEqual` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The countNotEqual.

### getCountNotEqualBytes

public ByteString getCountNotEqualBytes()
`optional string count_not_equal = 10;`

Specified by:
  `getCountNotEqualBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for countNotEqual.

### setCountNotEqual

public Validator.ValidatorOptions.Builder setCountNotEqual(String value)
`optional string count_not_equal = 10;`

Parameters:
  `value` - The countNotEqual to set.
Returns:
  This builder for chaining.

### clearCountNotEqual

public Validator.ValidatorOptions.Builder clearCountNotEqual()
`optional string count_not_equal = 10;`

Returns:
  This builder for chaining.

### setCountNotEqualBytes

public Validator.ValidatorOptions.Builder setCountNotEqualBytes(ByteString value)
`optional string count_not_equal = 10;`

Parameters:
  `value` - The bytes for countNotEqual to set.
Returns:
  This builder for chaining.

### hasHasKey

public boolean hasHasKey()
`optional string has_key = 11;`

Specified by:
  `hasHasKey` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the hasKey field is set.

### getHasKey

public String getHasKey()
`optional string has_key = 11;`

Specified by:
  `getHasKey` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The hasKey.

### getHasKeyBytes

public ByteString getHasKeyBytes()
`optional string has_key = 11;`

Specified by:
  `getHasKeyBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for hasKey.

### setHasKey

public Validator.ValidatorOptions.Builder setHasKey(String value)
`optional string has_key = 11;`

Parameters:
  `value` - The hasKey to set.
Returns:
  This builder for chaining.

### clearHasKey

public Validator.ValidatorOptions.Builder clearHasKey()
`optional string has_key = 11;`

Returns:
  This builder for chaining.

### setHasKeyBytes

public Validator.ValidatorOptions.Builder setHasKeyBytes(ByteString value)
`optional string has_key = 11;`

Parameters:
  `value` - The bytes for hasKey to set.
Returns:
  This builder for chaining.

### setUnknownFields

public final Validator.ValidatorOptions.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<Validator.ValidatorOptions.Builder>`

### mergeUnknownFields

public final Validator.ValidatorOptions.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<Validator.ValidatorOptions.Builder>`